お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2017-03-06 02:12:09

tonochama65535
新しいメンバ
登録日: 2017-03-06

asp.net core 1.0 がインストールできません。

はじめまして、ubuntu 14.04 LTS を使って 
ASP.Netの構築を行おうと思い、

asp.net core 1.0 を以下の手順にしたがってインストールしようと思ったのですが
https://www.microsoft.com/net/core#linuxubuntu

「sudo apt-get install dotnet-dev-1.0.0-preview2.1-003177」の部分で以下のエラーになってしまいます。

パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています               
状態情報を読み取っています... 完了
E: パッケージ dotnet-dev-1.0.0-preview2.1-003177 が見つかりません
E: 正規表現 'dotnet-dev-1.0.0-preview2.1-003177' ではパッケージは見つかりませんでした

他のサイトでは「ubuntu 14.04 LTS はインストール時点でパッケージが完成している」旨の
紹介があるのですが。

解決法を知っている方がいらっしゃいましたらご教授願います。

p.s.
「sudo sh -c 'echo "deb [arch=amd64] https://apt-mo.trafficmanager.net/repos/dotnet-release/ yakkety main" > /etc/apt/sources.list.d/dotnetdev.list' 」
の実行でエラーも完了も出ないでコマンド待ちの状態になります。

$ sudo sh -c 'echo "deb [arch=amd64] https://apt-mo.trafficmanager.net/repos/dotnet-release/ trusty main" > /etc/apt/sources.list.d/dotnetdev.list'
$

オフライン

 

#2 2017-03-06 03:42:10

ken-i54k
メンバ
登録日: 2015-11-04

Re: asp.net core 1.0 がインストールできません。

どうやらパッケージ名が間違っているようです。
以下のコマンドで正しいパッケージ名を検索してみてください。
$ apt-cache search dotnet-dev

オフライン

 

#3 2017-03-06 11:25:24

tonochama65535
新しいメンバ
登録日: 2017-03-06

Re: asp.net core 1.0 がインストールできません。

実行したところ、以下の結果になりました。

$ apt-cache search dotnet-dev
(反応なし)

$ apt-cache search dotnet
libgtk2.0-cil - CLI binding for the GTK+ toolkit 2.12
libgtk2.0-cil-dev - CLI binding for the GTK+ toolkit 2.12
libgtk-dotnet3.0-cil - GTK.NET library
libgtk-dotnet3.0-cil-dev - GTK.NET library - development files

dotnet-dev 自体が入っていないようです。

以上、よろしくお願いします。

オフライン

 

#4 2017-03-06 12:15:20

ken-i54k
メンバ
登録日: 2015-11-04

Re: asp.net core 1.0 がインストールできません。

基本的なことを確認させてください。
* OSは64bitのを使っていますよね?
* sudo apt-get update は正常に終了にしますか?

オフライン

 

#5 2017-03-07 05:47:18

tonochama65535
新しいメンバ
登録日: 2017-03-06

Re: asp.net core 1.0 がインストールできません。

>> OSは64bitのを使っていますよね?

確認したところ、32bitでした・・・
これが動かない原因だったのでしょうか?

CPUは64bit対応なので、64bitにアップグレードしたいと思います。
他のトピックに注意点などが書いてありますが、
バックアップを取った方が良いのでしょうか?

オフライン

 

#6 2017-03-07 05:55:08

ken-i54k
メンバ
登録日: 2015-11-04

Re: asp.net core 1.0 がインストールできません。

>確認したところ、32bitでした・・・
>これが動かない原因だったのでしょうか?

はい、残念ながらx64のパッケージしか用意されていないようです。

オフライン

 

Board footer

Powered by FluxBB